Bug 756772 - Review Request: libosinfo - A library for managing OS information for virtualization
Review Request: libosinfo - A library for managing OS information for virtua...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Huffman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 770152
  Show dependency treegraph
 
Reported: 2011-11-24 08:50 EST by Daniel Berrange
Modified: 2012-01-16 16:27 EST (History)
5 users (show)

See Also:
Fixed In Version: libosinfo-0.0.4-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-04 10:02:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bloch: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2011-11-24 08:50:17 EST
Spec URL: http://berrange.fedorapeople.org/review/libosinfo/libosinfo.spec
SRPM URL: http://berrange.fedorapeople.org/review/libosinfo/libosinfo-0.0.2-1.fc17.src.rpm
Description: 
libosinfo is a library that allows virtualization provisioning tools to
determine the optimal device settings for a hypervisor/operating system
combination.
Comment 1 Adam Huffman 2011-12-02 15:08:10 EST
I will review this package
Comment 2 Matthias Clasen 2011-12-21 08:39:30 EST
Adam, will you get to this soon ?
Comment 3 Adam Huffman 2011-12-21 08:50:43 EST
Yes, sorry for the delay - hoping to review properly on Friday.
Comment 4 Daniel Berrange 2011-12-21 09:30:46 EST
Updated to 0.0.4 release, specfile in same location as before :

http://berrange.fedorapeople.org/review/libosinfo/libosinfo-0.0.4-1.fc16.src.rpm
Comment 5 Adam Huffman 2011-12-23 11:54:29 EST
I'll add my own comments separately.  Below is the output of fedora-review:


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[ ]: MUST Package does not contain kernel modules.
[ ]: MUST Package contains no static executables.
[ ]: MUST Rpath absent or only used for internal libs.
[ ]: MUST Package is not relocatable.
[x]: MUST Development .so files in -devel subpackage, if present.


==== Generic ====
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files devel section. This is OK if
     packaging for EPEL5. Otherwise not needed
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[!]: MUST Spec file lacks Packager, Vendor, PreReq tags.
     Note: Found : Packager: Adam Huffman <bloch@verdurin.com>
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
[ ]: MUST License file installed when any subpackage combination is installed.
[ ]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generates any conflict.
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[ ]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint libosinfo-devel-0.0.4-1.fc17.x86_64.rpm

libosinfo-devel.x86_64: W: spelling-error %description -l en_US virtualization -> visualization, actualization, vitalization
libosinfo-devel.x86_64: W: spelling-error %description -l en_US hypervisor -> hyper visor, hyper-visor, supervisory
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint libosinfo-0.0.4-1.fc17.src.rpm

libosinfo.src: W: spelling-error Summary(en_US) virtualization -> visualization, actualization, vitalization
libosinfo.src: W: spelling-error %description -l en_US virtualization -> visualization, actualization, vitalization
libosinfo.src: W: spelling-error %description -l en_US hypervisor -> hyper visor, hyper-visor, supervisory
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint libosinfo-debuginfo-0.0.4-1.fc17.x86_64.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint libosinfo-0.0.4-1.fc17.x86_64.rpm

libosinfo.x86_64: W: spelling-error Summary(en_US) virtualization -> visualization, actualization, vitalization
libosinfo.x86_64: W: spelling-error %description -l en_US virtualization -> visualization, actualization, vitalization
libosinfo.x86_64: W: spelling-error %description -l en_US hypervisor -> hyper visor, hyper-visor, supervisory
libosinfo.x86_64: W: no-manual-page-for-binary osinfo-usbids-convert
libosinfo.x86_64: W: no-manual-page-for-binary osinfo-detect
libosinfo.x86_64: W: no-manual-page-for-binary osinfo-pciids-convert
1 packages and 0 specfiles checked; 0 errors, 6 warnings.


rpmlint libosinfo-vala-0.0.4-1.fc17.x86_64.rpm

libosinfo-vala.x86_64: W: spelling-error %description -l en_US virtualization -> visualization, actualization, vitalization
libosinfo-vala.x86_64: W: spelling-error %description -l en_US hypervisor -> hyper visor, hyper-visor, supervisory
libosinfo-vala.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/adam/Fedora/fedora-review/756772/libosinfo-0.0.4.tar.gz :
  MD5SUM this package     : 9cdb80deed188d9984d679c488034cb7
  MD5SUM upstream package : 9cdb80deed188d9984d679c488034cb7

[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[!]: SHOULD Dist tag is present.
[ ]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD The placement of pkgconfig(.pc) files are correct.
[ ]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[!]: SHOULD Spec use %global instead of %define.
     Note: %define with_plugin 0 %define with_gir 0 %define with_gir 1 %define
     gir_arg --enable-introspection=yes %define gir_arg --enable-
     introspection=no

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files devel section. This is OK if
     packaging for EPEL5. Otherwise not needed
[!]: MUST Spec file lacks Packager, Vendor, PreReq tags.
     Note: Found : Packager: Adam Huffman <bloch@verdurin.com>
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[!]: MUST Rpmlint output is silent.

rpmlint libosinfo-devel-0.0.4-1.fc17.x86_64.rpm

libosinfo-devel.x86_64: W: spelling-error %description -l en_US virtualization -> visualization, actualization, vitalization
libosinfo-devel.x86_64: W: spelling-error %description -l en_US hypervisor -> hyper visor, hyper-visor, supervisory
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint libosinfo-0.0.4-1.fc17.src.rpm

libosinfo.src: W: spelling-error Summary(en_US) virtualization -> visualization, actualization, vitalization
libosinfo.src: W: spelling-error %description -l en_US virtualization -> visualization, actualization, vitalization
libosinfo.src: W: spelling-error %description -l en_US hypervisor -> hyper visor, hyper-visor, supervisory
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint libosinfo-debuginfo-0.0.4-1.fc17.x86_64.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint libosinfo-0.0.4-1.fc17.x86_64.rpm

libosinfo.x86_64: W: spelling-error Summary(en_US) virtualization -> visualization, actualization, vitalization
libosinfo.x86_64: W: spelling-error %description -l en_US virtualization -> visualization, actualization, vitalization
libosinfo.x86_64: W: spelling-error %description -l en_US hypervisor -> hyper visor, hyper-visor, supervisory
libosinfo.x86_64: W: no-manual-page-for-binary osinfo-usbids-convert
libosinfo.x86_64: W: no-manual-page-for-binary osinfo-detect
libosinfo.x86_64: W: no-manual-page-for-binary osinfo-pciids-convert
1 packages and 0 specfiles checked; 0 errors, 6 warnings.


rpmlint libosinfo-vala-0.0.4-1.fc17.x86_64.rpm

libosinfo-vala.x86_64: W: spelling-error %description -l en_US virtualization -> visualization, actualization, vitalization
libosinfo-vala.x86_64: W: spelling-error %description -l en_US hypervisor -> hyper visor, hyper-visor, supervisory
libosinfo-vala.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.




Generated by fedora-review 0.1.1
External plugins:
Comment 6 Adam Huffman 2011-12-23 12:02:28 EST
1. Could you explain the extra_release tag, that doesn't seem to be referred to elsewhere in the spec?

2.  Most of the rpmlint errors are just spelling and can be ignored.  However, it would be nice to have manpages or other documentation - not that this is a reason to hold up the package.

3.  I'm assuming it depends upon too many new things to be suitable for EPEL5, so those warnings can be ignored.

4.  Could those %define statements be %global instead?  I've been led to believe %global is preferred now:  http://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define
Comment 7 Daniel Berrange 2012-01-03 07:15:17 EST
1. The 'extra_release' tag enables creation of easy one-off test builds with unique nevr. This is common across most virt related RPMs in Fedora.

2. manpages are an RFE for a future upstream release

3. Yes, this isn't even suitable for EPEL6, due to requirement for gobject introspection support

4. Yes, we can likely use %global with no illeffects
Comment 8 Daniel Berrange 2012-01-03 09:57:38 EST
On closer examination I just removed the global macros, since there is no value in being able to disable introspection, and attempting to disable it would break the build of the -vala sub-RPM anyway.

Updated SPEC file at same URL as before

http://berrange.fedorapeople.org/review/libosinfo/libosinfo-0.0.4-2.fc17.src.rpm
Comment 9 Adam Huffman 2012-01-04 06:28:10 EST
Looks okay now, though I think it's a little odd that you have the directory /usr/share/gtk-doc/html/Libosinfo/, when everything else uses the name in all lower-case.

Is that deliberate?
Comment 10 Daniel Berrange 2012-01-04 06:41:40 EST
That docs naming is just what the upstream Makefile produces. I'll re-examine it for a future upstream release.

BTW, If you consider this approved, could you twiddle the fedora-review=+ flag on the BZ
Comment 11 Adam Huffman 2012-01-04 06:58:34 EST
Just wanted to clarify that point first.

APPROVED
Comment 12 Daniel Berrange 2012-01-04 07:37:28 EST
New Package SCM Request
=======================
Package Name: libosinfo
Short Description: A library for managing OS information for virtualization
Owners: berrange
Branches: f15 f16
InitialCC:
Comment 13 Gwyn Ciesla 2012-01-04 08:40:20 EST
Git done (by process-git-requests).
Comment 14 Fedora Update System 2012-01-04 09:59:42 EST
libosinfo-0.0.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libosinfo-0.0.4-2.fc15
Comment 15 Fedora Update System 2012-01-04 10:00:31 EST
libosinfo-0.0.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libosinfo-0.0.4-2.fc16
Comment 16 Daniel Berrange 2012-01-04 10:02:24 EST
Built into rawhide.
Comment 17 Fedora Update System 2012-01-16 16:25:50 EST
libosinfo-0.0.4-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 18 Fedora Update System 2012-01-16 16:27:08 EST
libosinfo-0.0.4-2.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.